#include "ResizeEvent.h"

ResizeEvent::ResizeEvent(unsigned width, unsigned height)
    : UiEvent(),
      mWidth(width),
      mHeight(height)
{
    mType = UiEvent::Type::Resize;
}

ResizeEvent::~ResizeEvent()
{

}

std::unique_ptr<ResizeEvent> ResizeEvent::Create(unsigned width, unsigned height)
{
    return std::make_unique<ResizeEvent>(width, height);
}

